import { IsString, IsNotEmpty, IsNumber } from 'class-validator'

export class CreateAgentTaskDto {
  @IsNumber()
  @IsNotEmpty({ message: 'agentId不能为空' })
  agentId: number

  @IsString()
  @IsNotEmpty({ message: 'taskPrompt不能为空' })
  taskPrompt: string

  @IsString()
  @IsNotEmpty({ message: 'user不能为空' })
  user: string
}

export class GetAgentTaskListDto {
  @IsNumber()
  @IsNotEmpty({ message: 'pageNum不能为空' })
  pageNum: number

  @IsNumber()
  @IsNotEmpty({ message: 'pageSize不能为空' })
  pageSize: number
}

export class GetAgentTaskDetailDto {
  @IsNumber()
  @IsNotEmpty({ message: 'agentTaskId不能为空' })
  agentTaskId: number
}
