import { Injectable } from '@nestjs/common'

import { ServiceResponse } from '@/response/response.interface'
import { HttpClientService } from '@/shared/http-client/http-client.service'

@Injectable()
export class AgentExecutionHttpService {
  // private readonly baseUrl = 'http://192.168.206.189:8083/api'
  private readonly baseUrl = 'http://192.168.206.189:4090/api'

  constructor(private readonly httpClientService: HttpClientService) {}

  private async makeRequest<T>(
    endpoint: string,
    params?: Record<string, any>
  ): Promise<ServiceResponse<T>> {
    const url = `${this.baseUrl}/${endpoint}`
    return this.httpClientService.get<T>(url, params)
  }

  async makeRequestPost<T>(
    endpoint: string,
    params?: Record<string, any>
  ): Promise<ServiceResponse<T>> {
    const url = `${this.baseUrl}/${endpoint}`
    return this.httpClientService.post<T>(url, params)
  }

  async createAgentTask(
    params: Record<string, any>
  ): Promise<ServiceResponse<any>> {
    return this.makeRequestPost<any>('createAgentTask', params)
  }

  async getAgentTaskList(
    params: Record<string, any>
  ): Promise<ServiceResponse<any>> {
    return this.makeRequest<any>('getAgentTaskList', params)
  }

  async getAgentTaskDetail(
    params: Record<string, any>
  ): Promise<ServiceResponse<any>> {
    return this.makeRequest<any>('getAgentTaskDetail', params)
  }
}
